#version 430

layout(location = 4) uniform sampler2D textureChannel;

in vec2 Vertex_UV;
in vec4 Vertex_Color;

out vec4 FragColor;

void main (void)
{
  vec2 uv = Vertex_UV.xy;
  float alpha = 1.0f - sqrt(pow(uv.x - 0.5f, 2) + pow(uv.y - 0.5f, 2)) / 0.5f; // make the quads round
  uv.y *= -1.0;
  vec3 t = texture(textureChannel,uv).rgb;
  FragColor = vec4(t, alpha) * Vertex_Color;
}